<%@ page import="com.technia.tvc.core.db.aef.AEFUtils" %>
<%@ page import="matrix.db.Context" %>
<%@ page import="com.technia.tvc.core.db.transaction.TxAction" %>
<%@ page import="com.technia.tvc.core.db.transaction.TxManager" %>
<%@ page import="com.dassault_systemes.enovia.e6wv2.foundation.FoundationUtil" %>
<%@ page import="com.technia.tvc.core.db.BusinessObjectUtils"%>
<%@ page import="java.net.URLEncoder"%>
<%@ page import="com.matrixone.apps.domain.util.PersonUtil"%>

<html>
	<head>
	<%
	String dashboardURL = null;
	String CONTENT_DATA = "{\"data\":{\"items\":[{\"contextId\":\"ctx\",\"objectId\":\"physicalId\",\"objectType\":\"oType\",\"path\":[{\"resourceid\":\"physicalId\",\"type\":\"oType\"}]}]}}";
	String type = null;
	String physicalID = null;
	
	try
	{
		Context context = AEFUtils.getContext(session); 
		final String objectId = request.getParameter("objectId");
		
		String busInfo = TxManager.doAlloc(AEFUtils.getContext(session), 
		new TxAction<String>()
			{
			@Override
					public String run() throws Exception {
					String physicalID = BusinessObjectUtils.select(objectId, "physicalid");
					String type = BusinessObjectUtils.select(objectId, "type");;
					return type+"|"+physicalID;
					}
			});
		String[]tokens = busInfo.split("\\|");
		type = tokens[0];
		physicalID = tokens[1];
		String securityContext = PersonUtil.getActiveSecurityContext(context);
		String data = CONTENT_DATA.replaceAll("physicalId", physicalID).replaceAll("oType", type).replaceAll("ctx", securityContext);
		String key = request.getParameter("jsonDataKey");
		String dashboardApp = request.getParameter("app");
		dashboardURL = FoundationUtil.generate3DDashboardURL(context, dashboardApp, physicalID);
		dashboardURL = dashboardURL.replaceFirst("content:id=" + physicalID, "") + key + "="+ URLEncoder.encode(data, "UTF-8");
	}
	catch (Exception ex)
	{
		System.out.println("Errorr!!! : "+ex.getMessage());
		ex.printStackTrace();
	}
	
	%>

	<title>Open in 3DDashboard</title>
	<script type="text/javascript">
		function openIn3DDashboard(dashboardURL)
		{
		window.open(dashboardURL,'_blank');
		}
	</script>
	</head>

	<body>
	   <script type="text/javascript">openIn3DDashboard('<%=dashboardURL%>');</script>
	</body>

</html>
